Subject: Re: bnx2 dirver's firmware images

From: Bill Davidsen <[email-masked]>
Date: Wed, 19 Sep 2007 09:40:14 -0400

David Miller wrote:
> From: "Michael Chan" <[email-masked]>
> Date: Tue, 18 Sep 2007 13:05:51 -0700
> 
>> The bnx2 firmware changes quite frequently.  A new driver quite often
>> requires new firmware to work correctly.  Splitting them up makes things
>> difficult for the user.
>>
>> The firmware in tg3 is a lot more mature and I don't expect it to
>> change.  I think tg3 is better suited for using request_firmware().
> 
> Like I said, I think neither should change and the driver should
> be fully functional when built statically into the kernel.
> 
Is that a suggestion that the driver work differently when built as a 
module or built in? I've seen that behavior many time over the years, 
but it usually not deliberate. ;-)

-- 
Bill Davidsen <[email-masked]>
   "We have more to fear from the bungling of the incompetent than from
the machinations of the wicked."  - from Slashdot